/**
 * \file MsgProcess.h
 * \date 26.02.2002
 *
 * Interface for the CMsgProgessInterface class
 *
 */

#ifndef INTERFACES_MSGPROCESS_H
#define INTERFACES_MSGPROCESS_H

#include "Common/Interfaces/Interface.h"
#include "Common/World/Types.h"

/**
 * \class MsgProcessInterface
 * \author Marek Lehuta
 * \brief Message process task interface
 *
 * Message process task processes messages received from server
 */

class MsgProcessInterface : public Interface
{
public:
	// Construction and destruction
	MsgProcessInterface() : Interface("MsgProcess interface", "v0.0.02") {}
	virtual ~MsgProcessInterface() {}

	// Interface functions
	virtual int ParseMsg(const char* pMsg) = 0;
	virtual void SetTeamName(const char* pTeamName) = 0;
	virtual void SetRealSide(RealSide rs) = 0;

protected:

private:

};

#endif // INTERFACES_MSGPROCESS_H
